Bug 149575 - Update for port: www/cherokee
Summary: Update for port: www/cherokee
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-08-12 15:10 UTC by Diego Schulz
Modified: 2010-09-15 13:40 UTC (History)
0 users

See Also:


Attachments
cherokee-1.0.8.shar.txt (56.85 KB, text/plain; charset=US-ASCII)
2010-08-14 14:52 UTC, Diego Schulz
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Diego Schulz 2010-08-12 15:10:01 UTC
The attached sharfile is a modified version of the www/cherokee port.
Appart from the usual distinfo and Makefile changes, I added functionality for adjusting ownership and permissions on cherokee log files. Also, now the port configures Cherokee to run as www:www user by default.

Modified files:
 *Makefile
   -defined a some variables (CHEROKEE_*)
   -removed config option to run cherokee as www user (now the default)
   -added post-install hook to run pkg-install.in


New files included:
 *files/pkg-install.in

Moved files:
 *pkg-message was moved to files/pkg-message.in

I understand why moving files normally isn't a great idea, but pkg-message
file contains just a message, its changelog isn't so valuable. I hope you find the time to review this. 

Thanks,

diego
Comment 1 Tilman Keskinoz freebsd_committer 2010-08-14 13:18:24 UTC
State Changed
From-To: open->feedback

You forgot to attach the patch.
Comment 2 Diego Schulz 2010-08-14 14:52:56 UTC
On Sat, Aug 14, 2010 at 8:18 AM,  <arved@freebsd.org> wrote:
> Synopsis: Update for port: www/cherokee
>
> State-Changed-From-To: open->feedback
> State-Changed-By: arved
> State-Changed-When: Sat Aug 14 12:18:24 UTC 2010
> State-Changed-Why:
> You forgot to attach the patch.
>

Sorry, I don't know WTH I was thinking about.

> http://www.freebsd.org/cgi/query-pr.cgi?pr=149575
>
Comment 3 Diego Schulz 2010-08-18 14:51:10 UTC
Hi,
Should I send a new PR ?
Comment 4 Mark Linimon 2010-08-23 04:05:59 UTC
On Wed, Aug 18, 2010 at 09:51:10AM -0400, Diego Schulz wrote:
> Should I send a new PR ?

Well, the shar you attached did indeed make it through OK, so there's
no reason to open a new one.

However, for updates, we prefer the output of diff -ruN, rather than a
shar.  It makes it much easier to see what's changed.  (New ports should
still be in shar format.)

fwiw, if you Cc: freebsd-gnats-submit@, you don't need to Cc:
freebsd-ports-bugs@ and/or bug-followup@ ; in fact, those will merely
create duplicate emails.  Either freebsd-gnats-submit or bug-followup@
is sufficient.

mcl
Comment 5 Shaun Amott freebsd_committer 2010-09-09 05:57:17 UTC
State Changed
From-To: feedback->open

Feedback received.
Comment 6 Pav Lucistnik freebsd_committer 2010-09-15 13:19:03 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 7 dfilter service freebsd_committer 2010-09-15 13:29:59 UTC
pav         2010-09-15 12:29:48 UTC

  FreeBSD ports repository

  Modified files:
    www/cherokee         Makefile distinfo 
  Added files:
    www/cherokee/files   pkg-install.in pkg-message.in 
  Removed files:
    www/cherokee         pkg-message 
  Log:
  - Update to 1.0.8
  - Handle permissions on log files
  - Run under www user
  
  PR:             ports/149575
  Submitted by:   Diego Schulz <dschulz@gmail.com> (maintainer)
  
  Revision  Changes    Path
  1.89      +31 -16    ports/www/cherokee/Makefile
  1.50      +3 -3      ports/www/cherokee/distinfo
  1.1       +42 -0     ports/www/cherokee/files/pkg-install.in (new)
  1.1       +23 -0     ports/www/cherokee/files/pkg-message.in (new)
  1.3       +0 -22     ports/www/cherokee/pkg-message (dead)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"